Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: The following 3 package updates will NOT be installed

  1. #11
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    81

    Default Re: The following 3 package updates will NOT be installed

    Thank you for this thread. I am on Leap 15.3.

    How can I find out which repository wine and wine-32bit are from?

    Code:
    sudo zypper up --allow-vendor-change
    Loading repository data...
    Reading installed packages...
    
    
    The following 2 package updates will NOT be installed:
      wine wine-32bit
    
    
    zypper repos --show-enabled-only --sort-by-priority --uri  
    #  | Alias                                | Name                                                         | Enabled | GPG Check | Refresh | Priority | URI
    ---+--------------------------------------+--------------------------------------------------------------+---------+-----------+---------+----------+-----------------------------------------------------------------------------
     1 | Packman Repository                   | Packman Repository                                           | Yes     | (r ) Yes  | Yes     |   90     | https://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.3/
     2 | SoftMaker_Office_Repository          | SoftMaker Office Repository                                  | Yes     | (r ) Yes  | Yes     |   99     | https://shop.softmaker.com/repo/rpm
     3 | gh-cli                               | packages for the GitHub CLI                                  | Yes     | (r ) Yes  | No      |   99     | https://cli.github.com/packages/rpm
     4 | google-chrome                        | google-chrome                                                | Yes     | (r ) Yes  | Yes     |   99     | http://dl.google.com/linux/chrome/rpm/stable/x86_64
     5 | home_Werwolf2517                     | home:Werwolf2517 (15.3)                                      | Yes     | (r ) Yes  | No      |   99     | https://download.opensuse.org/repositories/home:/Werwolf2517/15.3/
     6 | https-download.opensuse.org-722c6202 | Education                                                    | Yes     | (r ) Yes  | Yes     |   99     | https://download.opensuse.org/repositories/Education/openSUSE_Leap_15.3/
     9 | repo-backports-update                | Update repository of openSUSE Backports                      | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/backports/
    14 | repo-non-oss                         | Non-OSS Repository                                           | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/distribution/leap/15.3/repo/non-oss/
    15 | repo-oss                             | Main Repository                                              | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/distribution/leap/15.3/repo/oss/
    17 | repo-sle-update                      | Update repository with updates from SUSE Linux Enterprise 15 | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/sle/
    20 | repo-update                          | Main Update Repository                                       | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/oss
    21 | repo-update-non-oss                  | Update Repository (Non-Oss)                                  | Yes     | (r ) Yes  | Yes     |   99     | http://download.opensuse.org/update/leap/15.3/non-oss/
    22 | snappy                               | snappy                                                       | Yes     | (r ) Yes  | Yes     |   99     | https://download.opensuse.org/repositories/system:/snappy/openSUSE_Leap_15.3
    
    Would appreciate help.

    Thank you.

  2. #12
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,590
    Blog Entries
    3

    Default Re: The following 3 package updates will NOT be installed

    "wine" is in the main repo ("repo-oss" or 15 on your list).

    To get that information, you can use Yast Software Management. Search for "wine" and then click the "Versions" tab to find where it is.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #13
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    81

    Default Re: The following 3 package updates will NOT be installed

    Quote Originally Posted by nrickert View Post
    "wine" is in the main repo ("repo-oss" or 15 on your list).

    To get that information, you can use Yast Software Management. Search for "wine" and then click the "Versions" tab to find where it is.
    Thank you for your reply.

    Why is it that it won't get updated?

    Thanks

  4. #14
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    81

    Default Re: The following 3 package updates will NOT be installed

    Quote Originally Posted by nrickert View Post
    "wine" is in the main repo ("repo-oss" or 15 on your list).

    To get that information, you can use Yast Software Management. Search for "wine" and then click the "Versions" tab to find where it is.
    Thank you for your reply.

    I see that there is a repository called Education https://download.opensuse.org/reposi...USE_Leap_15.3/ with the version of 6.19 for wine but the Main Repository for openSUSE has it as wine 6.0. Is that why it is not updating?
    Have I by accident added the Education repo, or is it part of openSUSE?


    Thanks

  5. #15
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,590
    Blog Entries
    3

    Default Re: The following 3 package updates will NOT be installed

    Quote Originally Posted by simorgh View Post
    I see that there is a repository called Education https://download.opensuse.org/reposi...USE_Leap_15.3/ with the version of 6.19 for wine but the Main Repository for openSUSE has it as wine 6.0. Is that why it is not updating?
    I don't know. But I think the policy for Leap is to not update unless there is a good reason.

    Have I by accident added the Education repo, or is it part of openSUSE?
    I don't know how you added it. As far as I know, it is a developer repo and made available for people who want the most up-to-date versions.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  6. #16
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,627

    Default AW: The following 3 package updates will NOT be installed

    Search for wine:
    Code:
    zypper se -s wine
    There is no Update for wine in openSUSE Leap 15.3.

    The policy of openSUSE is not to upgrade to a newer Version of any Software in the lifetime of a openSUSE Version. Only patches and updates were done.
    So wine will be stayed in Version 6.0 in Leap 15.3.

  7. #17
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    81

    Default Re: The following 3 package updates will NOT be installed

    Quote Originally Posted by nrickert View Post
    I don't know. But I think the policy for Leap is to not update unless there is a good reason.


    I don't know how you added it. As far as I know, it is a developer repo and made available for people who want the most up-to-date versions.

    Thank you for your reply.

    Then I should delete the Education repository.

  8. #18
    Join Date
    Dec 2016
    Location
    Burlington - Canada
    Posts
    81

    Default Re: AW: The following 3 package updates will NOT be installed

    Quote Originally Posted by Sauerland View Post
    Search for wine:
    Code:
    zypper se -s wine
    There is no Update for wine in openSUSE Leap 15.3.

    The policy of openSUSE is not to upgrade to a newer Version of any Software in the lifetime of a openSUSE Version. Only patches and updates were done.
    So wine will be stayed in Version 6.0 in Leap 15.3.
    Code:
    zypper se -s wine
    
    S  | Name                       | Type       | Version             | Arch   | Repository
    ---+----------------------------+------------+---------------------+--------+-------------------
       | python3-twine              | package    | 1.15.0-bp153.2.11   | x86_64 | Main Repository
       | q4wine                     | package    | 1.3.7-bp153.1.17    | x86_64 | Main Repository
       | q4wine-lang                | package    | 1.3.7-bp153.1.17    | noarch | Main Repository
    v  | wine                       | package    | 6.19-lp153.1379.1   | x86_64 | Education
    i+ | wine                       | package    | 6.0-bp153.1.173     | x86_64 | Main Repository
       | wine                       | srcpackage | 6.19-lp153.1379.1   | noarch | Education
    v  | wine-32bit                 | package    | 6.19-lp153.1379.1   | x86_64 | Education
    i+ | wine-32bit                 | package    | 6.0-bp153.1.173     | x86_64 | Main Repository
       | wine-32bit-build-deps      | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-32bit-debuginfo       | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-debuginfo             | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-debugsource           | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-devel                 | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-devel                 | package    | 6.0-bp153.1.173     | x86_64 | Main Repository
       | wine-devel-32bit           | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-devel-32bit           | package    | 6.0-bp153.1.173     | x86_64 | Main Repository
       | wine-devel-32bit-debuginfo | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-devel-debuginfo       | package    | 6.19-lp153.1379.1   | x86_64 | Education
       | wine-doors                 | package    | 0.1.3-lp153.1.1     | noarch | Education
       | wine-doors                 | srcpackage | 0.1.3-lp153.1.1     | noarch | Education
    i+ | wine-gecko                 | package    | 2.47.2-lp153.65.1   | noarch | Education
    v  | wine-gecko                 | package    | 2.47.2-bp153.1.10   | noarch | Main Repository
       | wine-gecko                 | srcpackage | 2.47.2-lp153.65.1   | noarch | Education
    i+ | wine-mono                  | package    | 6.1.1-lp153.1.1     | noarch | Non-OSS Repository
       | wine-staging               | package    | 6.0-bp153.1.168     | x86_64 | Main Repository
       | wine-staging-32bit         | package    | 6.0-bp153.1.168     | x86_64 | Main Repository
       | wine-staging-devel         | package    | 6.0-bp153.1.168     | x86_64 | Main Repository
       | wine-staging-devel-32bit   | package    | 6.0-bp153.1.168     | x86_64 | Main Repository
       | wineasio                   | package    | 0.9.2-pm153.5.2     | x86_64 | Packman Repository
       | wineasio                   | srcpackage | 0.9.2-pm153.5.2     | noarch | Packman Repository
       | wineasio-debuginfo         | package    | 0.9.2-pm153.5.2     | x86_64 | Packman Repository
       | wineasio-debugsource       | package    | 0.9.2-pm153.5.2     | x86_64 | Packman Repository
    i+ | winetricks                 | package    | 20201206-bp153.1.11 | x86_64 | Main Repository
    

  9. #19
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,590
    Blog Entries
    3

    Default Re: The following 3 package updates will NOT be installed

    Quote Originally Posted by simorgh View Post
    Then I should delete the Education repository.
    That's for you to decide. It depends on how important it is for you to have the latest "wine".
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  10. #20
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,627

    Default AW: The following 3 package updates will NOT be installed

    Its no update to get the Version of the Education Repo when the Version from OSS Repo is installed.......

    Code:
    zypper up
    does no vendor change by default (to the Version of the Education Repo)
    Code:
    zypper dup
    does no vendor change by default

    If you want the Version from Education Repo, I would do:
    Code:
    zypper in -f wine wine-32bit
    That will only switch the wine-Version from OSS- to the Education Repo.

    But its on you to use that Repo, I say ever:

    Less Repos are often more

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •